Bug 846860 - Need a separate button for creating new Destination
Need a separate button for creating new Destination
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning, UI, Usability (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity low
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
: UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 19:22 EDT by Viet Nguyen
Modified: 2015-01-05 14:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viet Nguyen 2012-08-08 19:22:12 EDT
Description of problem:

There are two buttons labeled Deploy in Bundles view

1.  xzy bundle -> Destinations -> Deploy
2.  xyz bundle -> Destinations -> some destination -> Deploy

I found it confusing.  They're not doing exactly the samething. In #1 you must always have to create a new unique destination as there is no dropbox to select existing ones.  

I suggest creating just 1 deployment wizard with a top progress indicator and clearly define concrete steps, eg 1. select/upload bundle, 2. select/create new destination, 3. select bundle version, 4. specify additional options, etc.  The wizard then can be launched (with appropriate info filled in) from top level Bundles view or in destination details view.
Comment 2 Jay Shaughnessy 2014-08-22 15:01:18 EDT
Bundle wizard usability work would be pending the future of provisioning as a JON feature. Pushing due to time constraints and future provisioning  design.

Note You need to log in before you can comment on or make changes to this bug.